### FHIR Shorthand 2.0.0 (HL7 Mixed Normative / Trial Use Release 1)

There were no substantive changes in FHIR Shorthand 2.0.0 compared to the balloted FHIR Shorthand 1.2.0 version.

### FHIR Shorthand 1.2.0 (HL7 Mixed Normative / Trial Use Ballot 1)

The FHIR Shorthand Mixed Normative / Trial Use Ballot (September 2021) introduced the following substantive changes as **NORMATIVE** features. These features have been thoroughly tested by the community and are not expected to change in the future.

* Soft indexing for array paths ([3.4.6](reference.html#array-paths-using-soft-indexing))
* Extended Quantity syntax ([3.3.9](reference.html#quantities))

The FHIR Shorthand Mixed Normative / Trial Use Ballot (September 2021) introduced the following substantive changes as **TRIAL USE** features. Many of these features have been tested by the community, but some may undergo changes in the future.

* Parameterized rule sets ([3.5.11.2](reference.html#parameterized-rule-sets), [3.6.11.2](reference.html#inserting-parameterized-rule-sets))
* Indented rules ([3.6.1](reference.html#indented-rules))
* Path rules ([3.6.15](reference.html#path-rules))
* Logical models ([3.5.7](reference.html#defining-logical-models), [3.6.2](reference.html#add-element-rules))
* Custom resources ([3.5.10](reference.html#defining-resources), [3.6.2](reference.html#add-element-rules))
* Hierarchical code systems ([3.5.3.1](reference.html#defining-code-systems-with-hierarchical-codes))
* Concept-specific caret rules ([3.5.3.2](reference.html#code-metadata))
* Inserting rule sets with path context ([3.6.11.3](reference.html#indented-rules))
* Support for integer64 and CodeableReference ([3.2.3](reference.html#fhir-version), [3.6.3.2](reference.html#assignments-with-primitive-data-types), [3.6.3.7](reference.html#assignments-with-the-codeablereference-data-type), [3.6.4](reference.html#binding-rules), [3.6.16](reference.html#type-rules))

### FHIR Shorthand 1.0.0 (HL7 Standard for Trial Use Release 1)

Initial Standard for Trial Use release.
